# Uses of Class
org.apache.avro.idl.IdlParser.ProtocolDeclarationBodyContext

## Uses of IdlParser.ProtocolDeclarationBodyContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.ProtocolDeclarationBodyContext
Modifier and Type
Field
Description
`IdlParser.ProtocolDeclarationBodyContext`
IdlParser.ProtocolDeclarationContext.`body`
Methods in org.apache.avro.idl that return IdlParser.ProtocolDeclarationBodyContext
Modifier and Type
Method
Description
`final IdlParser.ProtocolDeclarationBodyContext`
IdlParser.`protocolDeclarationBody()`
`IdlParser.ProtocolDeclarationBodyContext`
IdlParser.ProtocolDeclarationContext.`protocolDeclarationBody()`
Methods in org.apache.avro.idl with parameters of type IdlParser.ProtocolDeclarationBodyContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterProtocolDeclarationBody(IdlParser.ProtocolDeclarationBodyContext ctx)`
Enter a parse tree produced by `IdlParser.protocolDeclarationBody()`.
`void`
IdlListener.`enterProtocolDeclarationBody(IdlParser.ProtocolDeclarationBodyContext ctx)`
Enter a parse tree produced by `IdlParser.protocolDeclarationBody()`.
`void`
IdlBaseListener.`exitProtocolDeclarationBody(IdlParser.ProtocolDeclarationBodyContext ctx)`
Exit a parse tree produced by `IdlParser.protocolDeclarationBody()`.
`void`
IdlListener.`exitProtocolDeclarationBody(IdlParser.ProtocolDeclarationBodyContext ctx)`
Exit a parse tree produced by `IdlParser.protocolDeclarationBody()`.